from django.urls import path

from . import views

urlpatterns = [
    path("new", views.CategoryCreateView.as_view(), name="new_category"),
    path("<category>", views.CategoryDetailView.as_view(), name="category"),
    path("<category>/edit", views.CategoryUpdateView.as_view(), name="edit_category"),
    path(
        "<category>/transactions",
        views.CategoryTListView.as_view(),
        name="category_transactions",
    ),
    path("<category>/delete", views.CategoryDeleteView.as_view(), name="del_category"),
]
